import { LoadTypedefsOptions, LoadSchemaOptions, UnnormalizedTypeDefPointer } from '@graphql-toolkit/core';
import { CodeFileLoaderOptions } from '@graphql-toolkit/code-file-loader';
import { DocumentNode, GraphQLSchema } from 'graphql';
export declare type ImportSchemaOptions<T = {}> = Partial<LoadSchemaOptions & LoadTypedefsOptions<CodeFileLoaderOptions>> & T;
declare type PointerOrPointers = UnnormalizedTypeDefPointer | UnnormalizedTypeDefPointer[];
export declare function importSchema(pointerOrPointers: PointerOrPointers): Promise<string>;
export declare function importSchema(pointerOrPointers: PointerOrPointers, options: ImportSchemaOptions<{
    out?: 'string';
}>): Promise<string>;
export declare function importSchema(pointerOrPointers: PointerOrPointers, options: ImportSchemaOptions<{
    out: 'DocumentNode';
}>): Promise<DocumentNode>;
export declare function importSchema(pointerOrPointers: PointerOrPointers, options: ImportSchemaOptions<{
    out: 'GraphQLSchema';
}>): Promise<GraphQLSchema>;
export {};
